Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.undo
Class AddressUndoItem

    java.lang.Object
      net.sf.borg.model.undo.UndoItem<Address>
          net.sf.borg.model.undo.AddressUndoItem

    public class AddressUndoItem

extends UndoItem<Address>

Address Undo Item.

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.borg.model.undo.UndoItem
`UndoItem.actionType`

Field Summary

Fields inherited from class net.sf.borg.model.undo.UndoItem
`action, item`

Method Summary
`void` | `executeUndo()` execute the undo action on the item.
`static AddressUndoItem` | `recordAdd(Address addr)` Create an Address add.
`static AddressUndoItem` | `recordDelete(Address addr)` Create an Address delete.
`static AddressUndoItem` | `recordUpdate(Address addr)` Create an Address update.

Methods inherited from class net.sf.borg.model.undo.UndoItem
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### executeUndo

    public void executeUndo()

  Description copied from class: `UndoItem`
  execute the undo action on the item.

  Specified by:
    `executeUndo` in class `UndoItem<Address>`

### recordUpdate

    public static AddressUndoItem recordUpdate(Address addr)

  Create an Address update.

  Parameters:
    `addr` - the addr
  Returns:
    the address undo item

### recordAdd

    public static AddressUndoItem recordAdd(Address addr)

  Create an Address add.

  Parameters:
    `addr` - the addr
  Returns:
    the address undo item

### recordDelete

    public static AddressUndoItem recordDelete(Address addr)

  Create an Address delete.

  Parameters:
    `addr` - the addr
  Returns:
    the address undo item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic